summaryrefslogtreecommitdiff
path: root/tests/tee/dash
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2005-04-05 11:43:03 +0000
committerJim Meyering <jim@meyering.net>2005-04-05 11:43:03 +0000
commit7d2ad53db759f9257efd9179bd65eae41f8180f2 (patch)
treef6f626592fc50d6dd1dc46ef9079560e7fd42271 /tests/tee/dash
parentdce4a77a9931d921fbc0f0578ebc8041cce5709e (diff)
downloadcoreutils-7d2ad53db759f9257efd9179bd65eae41f8180f2.tar.xz
.
Diffstat (limited to 'tests/tee/dash')
-rwxr-xr-xtests/tee/dash24
1 files changed, 24 insertions, 0 deletions
diff --git a/tests/tee/dash b/tests/tee/dash
new file mode 100755
index 000000000..cc45f8694
--- /dev/null
+++ b/tests/tee/dash
@@ -0,0 +1,24 @@
+#!/bin/sh
+# test for "tee -".
+
+if test "$VERBOSE" = yes; then
+ set -x
+ tee --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0" |sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; (exit $status); exit $status' 1 2 13 15
+
+fail=0
+mkdir -p $tmp && cd $tmp || fail=1
+
+if test $fail = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+tee - </dev/null || fail=1
+
+(exit $fail); exit $fail